機械翻訳について

動的プロセス定義インタフェースを取得

get

/ic/api/process/v1/dp-definitions/{id}/interface

指定したプロセス定義IDを持つ動的プロセス定義のインタフェースを取得します。

リクエスト

サポートされているメディア・タイプ
パス・パラメータ
問合せパラメータ
  • 問合せパラメータを使用してリソースを展開します。
トップに戻る

レスポンス

サポートされているメディア・タイプ

200レスポンス

操作の成功
本文()
ルート・スキーマ : ProcessDefinitionInterface
型: object
すべてに一致
ソースを表示
ネストされたスキーマ : CommonModel
型: object
識別子: links
ソースを表示
ネストされたスキーマ : ProcessDefinitionInterface-allOf[1]
型: object
ソースを表示
ネストされたスキーマ : 入力
型: array
ソースを表示
ネストされたスキーマ : 出力
型: array
ソースを表示
ネストされたスキーマ : ProcessIOParam
型: object
Process I/O paramオブジェクト
ソースを表示
ネストされたスキーマ : typeValue
型: object
参照名またはプリミティブ・タイプ名のUrlのいずれかの型の値

401レスポンス

未認可

404レスポンス

指定したIDまたはキーを持つ動的プロセス定義が存在しません。

405 レスポンス

禁止

500レスポンス

内部サーバー・エラー
トップに戻る

次の例は、RESTリソースにGETリクエストを送信することによって、指定されたプロセス定義IDを持つ動的プロセス定義のインタフェースを取得する方法を示しています。

リクエストの送信

次の例では、送信リクエストのコンテンツを示しています。

https://example.com/ic/api/process/v1/dp-definitions/{Id}/interface

問合せパラメータexpandを使用して、リソースのすべてのtype valueを取得できます。

https://example.com/ic/api/process/v1/dp-definitions/{id}/interface?expand=type

説明

  • example.comは、Oracle Integrationが実行されているホストです。

  • <id>は、動的プロセス定義の一意のIDです。 動的プロセス定義のIDを取得するには、「動的プロセス定義のリストを取得」を参照してください。

レスポンス・ヘッダーの例

Status Code: 200 OK
Date:  Thu, 15 Nov 2018 08:26:57 GMT
Content-Type: application/json

レスポンス本文の例

次の例は、問合せパラメータを持たないレスポンス本文expandを示しています:

{
    "links": [
        {
            "href": "http://example.com/7001/ic/api/process/v1/dp-definitions/cm_DP7ajglr6ad8:1:385/interface",
            "rel": "self"
        },
        {
            "href": "http://example.com/7001/ic/api/process/v1/dp-definitions/cm_DP7ajglr6ad8:1:385",
            "rel": "parent"
        }
    ],
    "processDefinitionId": "cm_DP7ajglr6ad8:1:385",
    "inputs": [
        {
            "name": "input",
            "type": "PRIMITIVE",
            "typeValue": "string"
        },
        {
            "name": "input1",
            "type": "REFERENCE",
            "typeValue": "http://example.com/7001/ic/api/process/v1/dp-resources/generated/json-schemas/WebForm.schema.json?deploymentId=380"
        },
        {
            "name": "input2",
            "type": "REFERENCE",
            "typeValue": "http://example.com/7001/ic/api/process/v1/dp-resources/generated/json-schemas/Person.schema.json?deploymentId=380"
        }
    ],
    "outputs": []
}

次の例は、問合せパラメータがexpandのレスポンス本文を示しています:

{
    "links": [
        {
            "href": "http://example.com/7001/ic/api/process/v1/dp-definitions/cm_DP7ajglr6ad8:1:385/interface",
            "rel": "self"
        },
        {
            "href": "http://example.com/7001/ic/api/process/v1/dp-definitions/cm_DP7ajglr6ad8:1:385",
            "rel": "parent"
        }
    ],
    "processDefinitionId": "cm_DP7ajglr6ad8:1:385",
    "inputs": [
        {
            "name": "input",
            "type": null,
            "typeValue": "string"
        },
        {
            "name": "input1",
            "type": null,
            "typeValue": {
                "$schema": "http://json-schema.org/draft-04/schema#",
                "$id": "WebForm",
                "$name": "WebForm",
                "$namespace": "http://xmlns.oracle.com/bpm/forms/schemas/WebForm",
                "type": "object",
                "properties": {
                    "person": {
                        "$ref": "#/definitions/Person"
                    },
                    "dept": {
                        "$ref": "#/definitions/Dept"
                    }
                },
                "definitions": {
                    "Person": {
                        "$schema": "http://json-schema.org/draft-04/schema#",
                        "$id": "#/definitions/Person",
                        "$name": "Person",
                        "$namespace": "http://xmlns.oracle.com/bpm/bpmobject/BusinessData/Person",
                        "type": "object",
                        "properties": {
                            "name": {
                                "type": [
                                    "string",
                                    "null"
                                ]
                            },
                            "dept": {
                                "$ref": "#/definitions/Dept"
                            },
                            "age": {
                                "type": [
                                    "number",
                                    "null"
                                ],
                                "format": "int"
                            }
                        },
                        "$nullable": [
                            "name",
                            "dept",
                            "age"
                        ],
                        "required": [
                            "name",
                            "dept",
                            "age"
                        ]
                    },
                    "Dept": {
                        "$schema": "http://json-schema.org/draft-04/schema#",
                        "$id": "#/definitions/Dept",
                        "$name": "Dept",
                        "$namespace": "http://xmlns.oracle.com/bpm/bpmobject/BusinessData/Dept",
                        "type": "object",
                        "properties": {
                            "number": {
                                "type": [
                                    "number",
                                    "null"
                                ],
                                "format": "int"
                            },
                            "name": {
                                "type": [
                                    "string",
                                    "null"
                                ]
                            }
                        },
                        "$nullable": [
                            "number",
                            "name"
                        ],
                        "required": [
                            "number",
                            "name"
                        ]
                    }
                }
            }
        },
        {
            "name": "input2",
            "type": null,
            "typeValue": {
                "$schema": "http://json-schema.org/draft-04/schema#",
                "$id": "Person",
                "$name": "Person",
                "$namespace": "http://xmlns.oracle.com/bpm/bpmobject/BusinessData/Person",
                "type": "object",
                "properties": {
                    "name": {
                        "type": [
                            "string",
                            "null"
                        ]
                    },
                    "dept": {
                        "$ref": "#/definitions/Dept"
                    },
                    "age": {
                        "type": [
                            "number",
                            "null"
                        ],
                        "format": "int"
                    }
                },
                "$nullable": [
                    "name",
                    "dept",
                    "age"
                ],
                "required": [
                    "name",
                    "dept",
                    "age"
                ],
                "definitions": {
                    "Dept": {
                        "$schema": "http://json-schema.org/draft-04/schema#",
                        "$id": "#/definitions/Dept",
                        "$name": "Dept",
                        "$namespace": "http://xmlns.oracle.com/bpm/bpmobject/BusinessData/Dept",
                        "type": "object",
                        "properties": {
                            "number": {
                                "type": [
                                    "number",
                                    "null"
                                ],
                                "format": "int"
                            },
                            "name": {
                                "type": [
                                    "string",
                                    "null"
                                ]
                            }
                        },
                        "$nullable": [
                            "number",
                            "name"
                        ],
                        "required": [
                            "number",
                            "name"
                        ]
                    }
                }
            }
        }
    ],
    "outputs": []
}
先頭に戻る